"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.DRMVideoState = exports.DRMVideoActionName = exports.DRMVideoEventName = void 0;

var _reactNative = require("react-native");

const DRMVideoEventName = 'DownloadDrmVideo';
exports.DRMVideoEventName = DRMVideoEventName;
const DRMVideoActionName = {
  ChangeState: 'DOWNLOAD_CHANGE_STATE',
  DownloadFail: 'DOWNLOAD_FAIL',
  UpdateProgress: 'DOWNLOAD_CHANGE_PROGRESS'
};
exports.DRMVideoActionName = DRMVideoActionName;
const DRMVideoState = {
  NOT_STARTED: -1,
  STATE_QUEUED: 0,

  /** The download is stopped for a specified. */
  STATE_STOPPED: 1,

  /** The download is currently started. */
  STATE_DOWNLOADING: 2,

  /** The download completed. */
  STATE_COMPLETED: 3,

  /** The download failed. */
  STATE_FAILED: 4,

  /** The download is being removed. */
  STATE_REMOVING: 5,

  /** The download will restart after all downloaded data is removed. */
  STATE_RESTARTING: 7
};
exports.DRMVideoState = DRMVideoState;
const {
  DrmVideoDownloader
} = _reactNative.NativeModules;
var _default = DrmVideoDownloader;
exports.default = _default;
//# sourceMappingURL=index.js.map