export interface DRMVideoRequestModel {
    id?: string;
    url?: string;
    licenseUrl?: string;
    scheme?: string;
    title?: string;
    drmLicenseRequestHeaders?: object;
    isProtected?: boolean;
    contentKeyIds?: string[];
}
export declare const DRMVideoEventName = "DownloadDrmVideo";
export declare const DRMVideoActionName: {
    ChangeState: string;
    DownloadFail: string;
    UpdateProgress: string;
};
export declare const DRMVideoState: {
    NOT_STARTED: number;
    STATE_QUEUED: number;
    /** The download is stopped for a specified. */
    STATE_STOPPED: number;
    /** The download is currently started. */
    STATE_DOWNLOADING: number;
    /** The download completed. */
    STATE_COMPLETED: number;
    /** The download failed. */
    STATE_FAILED: number;
    /** The download is being removed. */
    STATE_REMOVING: number;
    /** The download will restart after all downloaded data is removed. */
    STATE_RESTARTING: number;
};
export interface DRMVideoInfo {
    id?: string;
    url?: string;
    state?: number;
    progress?: number;
    action: string;
}
declare type DrmVideoDownloaderType = {
    download(videoRequestModel?: DRMVideoRequestModel): Promise<any>;
    isDownloaded(videoRequestModel?: DRMVideoRequestModel): Promise<boolean>;
    pauseAllDownload(): Promise<any>;
    removeAllDownload(): Promise<any>;
    resumeAllDownload(): Promise<any>;
    removeDownload(videoRequestModel?: DRMVideoRequestModel): Promise<boolean>;
    getDownloadableStatus(videoRequestModel?: DRMVideoRequestModel): Promise<number>;
    getDownloadableInfo(videoRequestModel?: DRMVideoRequestModel): Promise<DRMVideoInfo>;
    registerTrackingEvent(): void;
    unregisterTrackingEvent(): void;
    clearAllListener(): void;
};
declare const _default: DrmVideoDownloaderType;
export default _default;
